import { NextFunction, Request, Response } from 'express';
import { IOptions, IButton } from '../interfaces';
export declare class ChatButtons {
    options: IOptions;
    private callbacks;
    /**
     * Inits chat buttons.
     * @param options
     */
    constructor(options: IOptions);
    setApi(api: any): void;
    /**
     * Sends a button.
     */
    send(btn: IButton, threadId: string, metadata?: any): Promise<any>;
    /**
     * Stores button callback in memory, so it can be triggered later.
     */
    private attachCallback;
    /**
     * A middleware for express server.
     */
    middleware: (req: Request, res: Response, next: NextFunction) => void;
}
