"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const hash_1 = require("./hash");
/**
 * Generates a callback url.
 * @param endpoint Public callback endpoint
 * @param btn Button
 * @param threadId Thread id
 */
exports.generateUrl = (endpoint, btn, threadId) => {
    // Use a random string in callback url, because
    // facebook doesn't prefetch the same urls that were prefetched in the past.
    const hash = hash_1.generateHash(24);
    const data = encodeURIComponent(JSON.stringify(btn));
    return `${endpoint}?data=${data}&threadId=${threadId}&hash=${hash}`;
};
